BEGIN LK#MAY

IF ~Global("LK#ARQuest","GLOBAL",1)~ THEN BEGIN FirstMeeting
SAY ~<CHARNAME>, thank Lathander you're here! The ruins have been in chaos again, and I fear for the lives of the villagers, who have some of the most unusual ideas about why the ruins are beset by Shadows once more...~

++ ~Ah, do they just? Look, I'm sorry, but I really do not have time for this- I was visited by the Avatar of the supposedly dead god Amaunator, and-~ GOTO PC1
++ ~Minister Lloyd, what a pleasant surprise. Can I help you?~ GOTO PC2
END

IF ~~ THEN BEGIN PC1
SAY ~Yes, yes, that is exactly what the villagers are saying! I personally find it hard to believe that Amaunator would take an interest in the Umar Hills... and they're saying the Child Prophetess Amuana has been reborn!~

++ ~They're quite right. Amaunator is waning in power due to his lack of worshippers, but that temple- the ruins? It was originally a Temple of Amaunator.~ GOTO PC1.1
++ ~Not quite, *mayor*. For one in power, you certainly are ignorant, aren't you? The world could fall about your ears and you would continue in believing it was functioning fine as long as your life was not affected overmuch.~ GOTO PC1.2
++ ~I haven't the time for this, Mayor- get to the point!~ GOTO PC1.1
END

IF ~~ THEN BEGIN PC2
SAY ~Actually yes, <CHARNAME>, you can. The Hooded Ones told me to be quick about fetching you...~

++ ~The... Hooded Ones?~ GOTO PC1.1.2
++ ~Of course. Lead on, good Mayor.~ DO ~SetGlobal("LK#AQuest", "GLOBAL", 2)~ EXIT
++ ~No! I will not be 'fetched' by some mayor of some rundown village! I have important concerns, which must be attended to-~ GOTO PC1.1.3
END

IF ~~ THEN BEGIN PC1.1
SAY ~Whatever you have to ask must wait, <CHARNAME> - we must hurry. The Hooded Ones told me to be quick about fetching you...~

++ ~The... Hooded Ones?~ GOTO PC1.1.2
++ ~Of course. Lead on, good Mayor.~ DO ~SetGlobal("LK#AQuest", "GLOBAL", 2)~ EXIT
++ ~No! I will not be 'fetched' by some mayor of some rundown village! I have important concerns, which must be attended to-~ GOTO PC1.1.3
END

IF ~~ THEN BEGIN PC1.2
SAY ~We do not have time for this- they said it was of the utmost importance that you be fetched as soon as you arrived.~

++ ~They...?~ GOTO PC1.1.2
++ ~Of course. Lead on, good Mayor.~ DO ~SetGlobal("LK#AQuest", "GLOBAL", 2)~ EXIT
++ ~No! I will not be 'fetched' by some mayor of some rundown village! I have important concerns, which must be attended to-~ GOTO PC1.1.3
END

IF ~~ THEN BEGIN PC1.1.2
SAY ~You will find out soon enough, but you must come with me- they... they say they come in peace, but I do not want to risk angering them. Please, you must come!~

++ ~Fine... lead the way.~ DO ~SetGlobal("LK#AQuest", "GLOBAL", 2)~ EXIT
++ ~No! I will not go. Leave me alone!~ GOTO PC1.1.3
END

IF ~~ THEN BEGIN PC1.1.3
SAY ~Well- you cannot expect future aid from our village if you do not aid us now, <CHARNAME>! I fear for the safety of the village, and if you have but the slightest spark of compassion within you you MUST come! They are staying at the Inn, but please, come quickly...~
IF ~~ THEN DO ~SetGlobal("LK#AQuest", "GLOBAL", 2)~ EXIT
END
